X

The Latest Technology Stack News Directly from EBS Development

Can Oracle Label Security be Used with EBS 12.2?

Steven Chan
Senior Director

Yes, Oracle Label Security (OLS) can be used with EBS 12.2.  It can also be used for earlier EBS releases such as EBS 12.1 and 12.0. 

Oracle Label Security is an optional database-level technology for developing customized security schemes. It is possible to use this technology to customize EBS 12.2.

There is no documentation for using this technology with EBS 12.2. The principles described in the following note for EBS 11i are generally-applicable to customizing later EBS releases such as EBS 12.1 and 12.2:

What are the support implications of using OLS with EBS?

This is a technology used for customizing EBS.  The standard support implications for customizations apply to customizations created with OLS:

Related Articles

Join the discussion

Comments ( 3 )
  • Chenthil Murugan Tuesday, October 30, 2018
    OLS is not working with 12.2 as the OLS is implemented on base table and not on editioned views. This is throwing in lots of our EBS Pages.

    Is there anything we are missing.
  • Steven Chan Wednesday, October 31, 2018
    Hi, Chenthil,

    I'm sorry to hear that you've encountered an issue with this.

    We can provide general conceptual guidance here, but I'm afraid that this blog isn't the best place to get technical support for specific issues like the one that you're working through.

    Your best bet would be to log a formal Service Request via My Oracle Support (formerly Metalink) to get one of our specialists engaged.

    Regards,
    Steven
  • Sami Hani Monday, November 12, 2018
    Hi Steven,

    I was wondering what will happen while applying patches? OLS is supposed add a new column to the tables under the policy, so if the patch is going to run odf driver then the patch might fail since the table structure will be different. Also if following Note: 234599.1 the APPS user will not see any data in the table since the APPS user is not defined as privileged user, accordingly if the patch is going to manipulate data it might fail or it wont do the expected job.
    So does it mean we have to disable the OLS policy before applying patches?

    BR
    Sami
Please enter your name.Please provide a valid email address.Please enter a comment.CAPTCHA challenge response provided was incorrect. Please try again.

Recent Content